Перейти до вмісту
AstroWay/api v2.19.0 · docs
усі системи в нормі
UA EN

Dream Symbols by Element

GET
/esoteric/dreams/by-element/{element}

Dream symbols indexed by element (fire / earth / air / water / spirit).

curl -X GET https://api.astroway.info/v1/esoteric/dreams/by-element/{element} \
-H "X-Api-Key: aw_live_..." \
-H "Content-Type: application/json"

Successful calculation

object
ok
boolean
Example
true
data
object
element
string
items
Array<object>
object
keyword
string
archetype
string
count
number

Validation error

Example
{
"ok": false,
"error": {
"code": "INVALID_INPUT",
"message": "Validation failed: date: Date must be YYYY-MM-DD",
"details": [
{
"path": "date",
"message": "Date must be YYYY-MM-DD"
}
]
}
}

Missing or invalid API key

Example
{
"ok": false,
"error": {
"code": "INVALID_API_KEY",
"message": "Invalid API key"
}
}
Корисно?